## Install
Before using this bundle, you need to install Doctrine Mongo : 

```JSON
// composer.json
{
    "require": {
        "doctrine/mongodb-odm": "^1.0",
        "doctrine/mongodb-odm-bundle": "^3.0"
    },
}
```

Register bundles in your kernel :

```PHP
// app/AppKernel.php

new Doctrine\Bundle\MongoDBBundle\DoctrineMongoDBBundle(),
new Edeclic\HistoryBundle\EdeclicHistoryBundle(),
```

## Config

##### Base configuration

```YAML
# App/config/config.yml

doctrine_mongodb:
    default_commit_options: ~
    default_database: tt_history
    default_connection: conn1
    default_document_manager: conn1
    connections:
        conn1:
            server: "%mongodb_server%"
            options:
                connect: true
                db: tt_history
    document_managers:
        conn1:
            connection: conn1
            mappings:
                EdeclicHistoryBundle: { type: annotation, dir: Document/ }
```

then:

```YAML
# App/config/parameters.yml

parameters:
    # [...]
    mongodb_server: "mongodb://tt.mongo_db:27017"
```
